Skip to main content
`Ctrl`+`K`

# PetscSectionGetValueLayout

Get the `PetscLayout` associated with the section dofs of a `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetValueLayout(MPI_Comm comm, PetscSection s, PetscLayout *layout)

Collective

## Input Parameters

- comm - The `MPI_Comm`

- s - The `PetscSection`

## Output Parameter

- layout - The dof layout for the section

## Notes

`PetscSectionGetPointLayout()` provides similar information but only counting the number of points with nonzero degrees of freedom and including the constrained degrees of freedom

This is usually called for the default global section.

## Example

         The chart is [2,5), point 2 has 4 dof (2 constrained), point 3 has 0 dof, point 4 has 1 dof (not constrained)
         The local size of the `PetscLayout` is 3 since there are 3 unconstrained degrees of freedom on this MPI process

## See Also

PetscSection, `PetscSection`, `PetscSectionGetPointLayout()`, `PetscSectionCreate()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages